Bug 2078346 - CVE-2022-28739 ruby: Buffer overrun in String-to-Float conversion [fedora-all]
Summary: CVE-2022-28739 ruby: Buffer overrun in String-to-Float conversion [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-28739
TreeView+ depends on / blocked
 
Reported: 2022-04-25 05:04 UTC by Sandipan Roy
Modified: 2022-05-08 02:01 UTC (History)
9 users (show)

Fixed In Version: ruby-3.1.2-164.fc36 ruby-3.0.4-153.fc35 ruby-3.0.4-153.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-07 04:27:38 UTC
Type: ---


Attachments (Terms of Use)

Description Sandipan Roy 2022-04-25 05:04:16 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Sandipan Roy 2022-04-25 05:04:21 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2075687,2078346

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-04-25 07:50:13 UTC
FEDORA-2022-82a9edac27 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-82a9edac27

Comment 3 Fedora Update System 2022-04-25 07:50:17 UTC
FEDORA-2022-8cf0124add has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8cf0124add

Comment 4 Fedora Update System 2022-04-25 07:50:20 UTC
FEDORA-2022-a7ca6ee0cf has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a7ca6ee0cf

Comment 5 Fedora Update System 2022-04-28 06:09:45 UTC
FEDORA-2022-8cf0124add has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-8cf0124add`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8cf0124add

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-04-28 06:29:06 UTC
FEDORA-2022-82a9edac27 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-82a9edac27`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-82a9edac27

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-07 04:27:38 UTC
FEDORA-2022-a7ca6ee0cf has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-05-08 01:45:45 UTC
FEDORA-2022-8cf0124add has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-05-08 02:01:31 UTC
FEDORA-2022-82a9edac27 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.